---
title: get-log-lines-for-an-invocation-attempt
product: vercel
url: /docs/rest-api/vercel-ci/get-log-lines-for-an-invocation-attempt
canonical_url: "https://vercel.com/docs/rest-api/vercel-ci/get-log-lines-for-an-invocation-attempt"
last_updated: 2026-09-25
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-log-lines-for-an-invocation-attempt on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get log lines for an invocation attempt

```http
GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/logs
```

Get Invocation Logs

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `invocationId` | string | Yes |  |
| `attempt` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `level` | array | No | Only return log lines with one of these levels. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt/logs?level=[]&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt/logs?level=[]&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt/logs?level=[]&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "lines": [
    {
      "level": "string",
      "timestamp": "123",
      "message": "string"
    }
  ]
}
```

## Responses

### 200: Successfully fetched invocation log lines.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "lines"
  ],
  "properties": {
    "lines": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "level",
          "timestamp",
          "message"
        ],
        "properties": {
          "level": {
            "type": "string"
          },
          "timestamp": {
            "type": "number"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 403: You do not have permission to access this resource.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 404: No description

### 410: No description

### 429: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "name",
        "message",
        "limit"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "limit": {
          "type": "number"
        }
      }
    }
  }
}
```

### 500: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

---

## Related

- [vercel-ci endpoints](/docs/rest-api#vercel-ci)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
